#ifndef VTCPNETH
#define VTCPNETH
//---------------------------------------------------------------------
#include <Be.h>
#include <be/net/socket.h>
//---------------------------------------------------------------------
#define MSG_VTCP_CLOSED  'clsd'
#define MSG_VTCP_RECV    'recv'
//---------------------------------------------------------------------
class VTcpNetworkClient
{
private:
	struct RecThreadData
	{
		int sock;
		BLooper *owner;
	};

    int nsock;
	int32 recthread;
	char threadname[32];
	BLooper *MyOwner;
	static int32 vtcp_rec_thread(void *Dummy);
	bool MakeThreadName(char *name,char *des);
public:
    VTcpNetworkClient(BLooper *Owner);
    ~VTcpNetworkClient(void);
	//-----------------------------------------------------------------
	int sock_connect(char *host,int port);
    int sock_send(void *data,int32 length);
	void sock_closed(void);
	int sock_accept(int s);
	int GetSocket(void)
	{
	    return nsock;
	};
};
//---------------------------------------------------------------------
#endif
